#include <stdio.h>
#include <string.h>
#define MAXLINE                 1280000

/* remove the entry values if they ever exist from the
   matrix files in MatrixMarket coordinated format */

main(int argc, char *argv[])
{
  char filename[256], *oldstr, *newstr;
  char line[MAXLINE+1];
  int i,j,k,n,m,nz,edge;
  FILE *fpin;

  if (argc != 2) {
    printf("Usage: %s <GraphFile> \n",argv[0]);
    exit(0);
  }
  strcpy(filename, argv[1]);

  if ((fpin = fopen(filename, "r")) == NULL) {
    printf("Failed to open file %s\n", filename);
    exit(0);
  }

  /* get rid of comments */
  do {
    fgets(line, MAXLINE, fpin);
  } while (line[0] == '%');

  sscanf(line,"%d %d %d",&n, &m, &nz) ;
  printf("%d %d %d\n",n,m,nz);

  for (i = 0, k = 0; i < nz; i++) 
    {
      do {
        fgets(line, MAXLINE, fpin);
      } while (line[0] == '%');
      if (strlen(line) == MAXLINE) 
        printf("\nBuffer for fgets not big enough!\n");

      oldstr = line;
      newstr = NULL;

      for (j = 0; j < 2; j++) 
        {
          edge = (int)strtol(oldstr, &newstr, 10) ;
          oldstr = newstr;
          if (edge <= 0)
            break;
          printf("%d ",edge);
        }
          printf("\n ");
      
    }

  fclose(fpin);
}
