#include <stdio.h> 

/* ----------------------------------------------------------------------------
Ler dados de um ficheiro para um array
Recebe o descritor de um ficheiro aberto e le dados que posiciona no segmento
--------------------------------------------------------------------------- */

int ler_segmento(fp, wdDados, wiFrom, wiTo)
	FILE *fp; float *wdDados; int wiFrom, wiTo;
{
int iQuant = 0, res = 0;

   iQuant = (wiTo-wiFrom+1);
    res = fread(&(wdDados[wiFrom]), sizeof(float), iQuant, fp);
    if (res == EOF || res != iQuant || ferror(fp)){
       fclose(fp);
       return(-1);
    }

return(res);
}
/* ----------------------------------------------------------------------------
Acrescenta um segmento de dados a um ficheiro
Recebe o descritor do ficheiro, o segmento de sinal e a dimenso do segmento
--------------------------------------------------------------------------- */
int escreve_segmento(fp, wdDados, wiDimensao)
	FILE *fp; float *wdDados; int wiDimensao;
{

   fwrite(wdDados, sizeof(float), wiDimensao, fp);

return(0);
}

